# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-05 12:55
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('igitt_django', '0003_igittissue'),
    ]

    operations = [
        migrations.CreateModel(
            name='IGittCommit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField()),
                ('sha', models.CharField(default=None, max_length=40)),
                ('repo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='commits', to='igitt_django.IGittRepository')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
